org.mariadb.jdbc.internal.util

## Enum DefaultOptions

- java.lang.Object
- - java.lang.Enum<DefaultOptions>
  - - org.mariadb.jdbc.internal.util.DefaultOptions

All Implemented Interfaces:
  Serializable, Comparable<DefaultOptions>

    public enum DefaultOptions
    extends Enum<DefaultOptions>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOW_LOCAL_INFILE`
`ALLOW_MASTER_DOWN`
`ALLOW_MULTI_QUERIES`
`ASSURE_READONLY`
`AUTO_RECONNECT`
`AUTOCOMMIT`
`CACHE_CALLABLE_STMTS`
`CACHE_PREP_STMTS`
`CALLABLE_STMT_CACHE_SIZE`
`CONNECT_TIMEOUT` The connect timeout value, in milliseconds, or zero for no timeout.
`CONNECTION_ATTRIBUTES`
`CONTINUE_BATCH_ON_ERROR`
`CREATE_DATABASE_IF_NOT_EXISTS`
`DUMP_QUERY_ON_EXCEPTION`
`ENABLE_PACKET_DEBUG`
`ENABLED_SSL_CIPHER_SUITES`
`ENABLED_SSL_PROTOCOL_SUITES`
`FAIL_ON_READ_ONLY`
`FAILOVER_LOOP_RETRIES`
`GALERA_ALLOWED_STATE`
`INCLUDE_STATUS`
`INCLUDE_THREAD_DUMP`
`INTERACTIVE_CLIENT`
`JDBC_COMPLIANT_TRUNCATION`
`KEY_STORE_TYPE`
`KEYSTORE`
`KEYSTORE_PASSWORD`
`LOAD_BALANCE_BLACKLIST_TIMEOUT`
`LOCAL_SOCKET`
`LOCAL_SOCKET_ADDRESS`
`LOGGING`
`MAX_IDLE_TIME`
`MAX_POOL_SIZE`
`MAX_QUERY_LOG_SIZE`
`MAXIMIZE_MYSQL_COMPATIBILITY`
`MIN_POOL_SIZE`
`NULL_CATALOG_MEANS_CURRENT`
`PASSWORD`
`PASSWORD_CHARACTER_ENCODING`
`PIN_GLOBAL_TX_TO_PHYSICAL_CONNECTION`
`PIPE`
`PIPELINE_AUTH`
`POOL`
`POOL_NAME`
`POOL_VALID_MIN_DELAY`
`PREP_STMT_CACHE_SIZE`
`PREP_STMT_CACHE_SQL_LIMIT`
`PRIVATE_KEYS_PASSWORD`
`PROFILE_SQL`
`READ_AHEAD`
`REGISTER_POOL_JMX`
`RETRY_ALL_DOWN`
`REWRITE_BATCHED_STATEMENTS`
`SERVER_SSL_CERT`
`SERVER_TIMEZONE`
`SERVICE_PRINCIPAL_NAME`
`SESSION_VARIABLES`
`SHARED_MEMORY`
`SLOW_QUERY_TIME`
`SOCKET_FACTORY`
`SOCKET_TIMEOUT`
`SSL_HOSTNAME_VERIFICATION`
`STATIC_GLOBAL`
`TCP_ABORTIVE_CLOSE`
`TCP_KEEP_ALIVE`
`TCP_NO_DELAY`
`TCP_RCV_BUF`
`TCP_SND_BUF`
`TINY_INT_IS_BIT`
`TRUST_CERTIFICATE_KEYSTORE_PASSWORD`
`TRUST_SERVER_CERTIFICATE`
`TRUST_STORE_TYPE`
`TRUSTSTORE`
`USE_AFFECTED_ROWS`
`USE_BATCH_MULTI_SEND`
`USE_BATCH_MULTI_SEND_NUMBER`
`USE_BULK_PROTOCOL`
`USE_FRACTIONAL_SECONDS`
`USE_LEGACY_DATETIME_CODE`
`USE_MYSQL_AS_DATABASE`
`USE_OLD_ALIAS_METADATA_BEHAVIOR`
`USE_RESET_CONNECTION`
`USE_SERVER_PREP_STMTS`
`USE_SSL`
`USER`
`USER_COMPRESSION`
`VALID_CONNECTION_TIMEOUT`
`YEAR_IS_DATE_TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Options` `defaultValues(HaMode haMode)`
`static Options` `defaultValues(HaMode haMode, boolean pool)` Generate an Options object with default value corresponding to High Availability mode.
`String` `getDescription()`
`String` `getOptionName()`
`boolean` `isRequired()`
`static void` `optionCoherenceValidation(Options options)` Option initialisation end : set option value to a coherent state.
`static void` `parse(HaMode haMode, String urlParameters, Options options)` Parse additional properties.
`static Options` `parse(HaMode haMode, String urlParameters, Properties properties, Options options)` Parse additional properties .
`static void` `propertyString(Options options, HaMode haMode, StringBuilder sb)` Generate parameter String equivalent to options.
`static DefaultOptions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultOptions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER

    public static final DefaultOptions USER

#### PASSWORD

    public static final DefaultOptions PASSWORD

#### CONNECT_TIMEOUT

    public static final DefaultOptions CONNECT_TIMEOUT

The connect timeout value, in milliseconds, or zero for no timeout. Default: 30000 (30 seconds) (was 0 before 2.1.2)

#### PIPE

    public static final DefaultOptions PIPE

#### LOCAL_SOCKET

    public static final DefaultOptions LOCAL_SOCKET

#### SHARED_MEMORY

    public static final DefaultOptions SHARED_MEMORY

#### TCP_NO_DELAY

    public static final DefaultOptions TCP_NO_DELAY

#### TCP_ABORTIVE_CLOSE

    public static final DefaultOptions TCP_ABORTIVE_CLOSE

#### LOCAL_SOCKET_ADDRESS

    public static final DefaultOptions LOCAL_SOCKET_ADDRESS

#### SOCKET_TIMEOUT

    public static final DefaultOptions SOCKET_TIMEOUT

#### INTERACTIVE_CLIENT

    public static final DefaultOptions INTERACTIVE_CLIENT

#### DUMP_QUERY_ON_EXCEPTION

    public static final DefaultOptions DUMP_QUERY_ON_EXCEPTION

#### USE_OLD_ALIAS_METADATA_BEHAVIOR

    public static final DefaultOptions USE_OLD_ALIAS_METADATA_BEHAVIOR

#### ALLOW_LOCAL_INFILE

    public static final DefaultOptions ALLOW_LOCAL_INFILE

#### SESSION_VARIABLES

    public static final DefaultOptions SESSION_VARIABLES

#### CREATE_DATABASE_IF_NOT_EXISTS

    public static final DefaultOptions CREATE_DATABASE_IF_NOT_EXISTS

#### SERVER_TIMEZONE

    public static final DefaultOptions SERVER_TIMEZONE

#### NULL_CATALOG_MEANS_CURRENT

    public static final DefaultOptions NULL_CATALOG_MEANS_CURRENT

#### TINY_INT_IS_BIT

    public static final DefaultOptions TINY_INT_IS_BIT

#### YEAR_IS_DATE_TYPE

    public static final DefaultOptions YEAR_IS_DATE_TYPE

#### USE_SSL

    public static final DefaultOptions USE_SSL

#### USER_COMPRESSION

    public static final DefaultOptions USER_COMPRESSION

#### ALLOW_MULTI_QUERIES

    public static final DefaultOptions ALLOW_MULTI_QUERIES

#### REWRITE_BATCHED_STATEMENTS

    public static final DefaultOptions REWRITE_BATCHED_STATEMENTS

#### TCP_KEEP_ALIVE

    public static final DefaultOptions TCP_KEEP_ALIVE

#### TCP_RCV_BUF

    public static final DefaultOptions TCP_RCV_BUF

#### TCP_SND_BUF

    public static final DefaultOptions TCP_SND_BUF

#### SOCKET_FACTORY

    public static final DefaultOptions SOCKET_FACTORY

#### PIN_GLOBAL_TX_TO_PHYSICAL_CONNECTION

    public static final DefaultOptions PIN_GLOBAL_TX_TO_PHYSICAL_CONNECTION

#### TRUST_SERVER_CERTIFICATE

    public static final DefaultOptions TRUST_SERVER_CERTIFICATE

#### SERVER_SSL_CERT

    public static final DefaultOptions SERVER_SSL_CERT

#### USE_FRACTIONAL_SECONDS

    public static final DefaultOptions USE_FRACTIONAL_SECONDS

#### AUTO_RECONNECT

    public static final DefaultOptions AUTO_RECONNECT

#### FAIL_ON_READ_ONLY

    public static final DefaultOptions FAIL_ON_READ_ONLY

#### RETRY_ALL_DOWN

    public static final DefaultOptions RETRY_ALL_DOWN

#### FAILOVER_LOOP_RETRIES

    public static final DefaultOptions FAILOVER_LOOP_RETRIES

#### VALID_CONNECTION_TIMEOUT

    public static final DefaultOptions VALID_CONNECTION_TIMEOUT

#### LOAD_BALANCE_BLACKLIST_TIMEOUT

    public static final DefaultOptions LOAD_BALANCE_BLACKLIST_TIMEOUT

#### CACHE_PREP_STMTS

    public static final DefaultOptions CACHE_PREP_STMTS

#### PREP_STMT_CACHE_SIZE

    public static final DefaultOptions PREP_STMT_CACHE_SIZE

#### PREP_STMT_CACHE_SQL_LIMIT

    public static final DefaultOptions PREP_STMT_CACHE_SQL_LIMIT

#### ASSURE_READONLY

    public static final DefaultOptions ASSURE_READONLY

#### USE_LEGACY_DATETIME_CODE

    public static final DefaultOptions USE_LEGACY_DATETIME_CODE

#### MAXIMIZE_MYSQL_COMPATIBILITY

    public static final DefaultOptions MAXIMIZE_MYSQL_COMPATIBILITY

#### USE_SERVER_PREP_STMTS

    public static final DefaultOptions USE_SERVER_PREP_STMTS

#### TRUSTSTORE

    public static final DefaultOptions TRUSTSTORE

#### TRUST_CERTIFICATE_KEYSTORE_PASSWORD

    public static final DefaultOptions TRUST_CERTIFICATE_KEYSTORE_PASSWORD

#### KEYSTORE

    public static final DefaultOptions KEYSTORE

#### KEYSTORE_PASSWORD

    public static final DefaultOptions KEYSTORE_PASSWORD

#### PRIVATE_KEYS_PASSWORD

    public static final DefaultOptions PRIVATE_KEYS_PASSWORD

#### ENABLED_SSL_PROTOCOL_SUITES

    public static final DefaultOptions ENABLED_SSL_PROTOCOL_SUITES

#### ENABLED_SSL_CIPHER_SUITES

    public static final DefaultOptions ENABLED_SSL_CIPHER_SUITES

#### CONTINUE_BATCH_ON_ERROR

    public static final DefaultOptions CONTINUE_BATCH_ON_ERROR

#### JDBC_COMPLIANT_TRUNCATION

    public static final DefaultOptions JDBC_COMPLIANT_TRUNCATION

#### CACHE_CALLABLE_STMTS

    public static final DefaultOptions CACHE_CALLABLE_STMTS

#### CALLABLE_STMT_CACHE_SIZE

    public static final DefaultOptions CALLABLE_STMT_CACHE_SIZE

#### CONNECTION_ATTRIBUTES

    public static final DefaultOptions CONNECTION_ATTRIBUTES

#### USE_BATCH_MULTI_SEND

    public static final DefaultOptions USE_BATCH_MULTI_SEND

#### USE_BATCH_MULTI_SEND_NUMBER

    public static final DefaultOptions USE_BATCH_MULTI_SEND_NUMBER

#### LOGGING

    public static final DefaultOptions LOGGING

#### PROFILE_SQL

    public static final DefaultOptions PROFILE_SQL

#### MAX_QUERY_LOG_SIZE

    public static final DefaultOptions MAX_QUERY_LOG_SIZE

#### SLOW_QUERY_TIME

    public static final DefaultOptions SLOW_QUERY_TIME

#### PASSWORD_CHARACTER_ENCODING

    public static final DefaultOptions PASSWORD_CHARACTER_ENCODING

#### PIPELINE_AUTH

    public static final DefaultOptions PIPELINE_AUTH

#### ENABLE_PACKET_DEBUG

    public static final DefaultOptions ENABLE_PACKET_DEBUG

#### SSL_HOSTNAME_VERIFICATION

    public static final DefaultOptions SSL_HOSTNAME_VERIFICATION

#### USE_BULK_PROTOCOL

    public static final DefaultOptions USE_BULK_PROTOCOL

#### AUTOCOMMIT

    public static final DefaultOptions AUTOCOMMIT

#### POOL

    public static final DefaultOptions POOL

#### POOL_NAME

    public static final DefaultOptions POOL_NAME

#### MAX_POOL_SIZE

    public static final DefaultOptions MAX_POOL_SIZE

#### MIN_POOL_SIZE

    public static final DefaultOptions MIN_POOL_SIZE

#### MAX_IDLE_TIME

    public static final DefaultOptions MAX_IDLE_TIME

#### POOL_VALID_MIN_DELAY

    public static final DefaultOptions POOL_VALID_MIN_DELAY

#### STATIC_GLOBAL

    public static final DefaultOptions STATIC_GLOBAL

#### REGISTER_POOL_JMX

    public static final DefaultOptions REGISTER_POOL_JMX

#### USE_RESET_CONNECTION

    public static final DefaultOptions USE_RESET_CONNECTION

#### ALLOW_MASTER_DOWN

    public static final DefaultOptions ALLOW_MASTER_DOWN

#### GALERA_ALLOWED_STATE

    public static final DefaultOptions GALERA_ALLOWED_STATE

#### USE_AFFECTED_ROWS

    public static final DefaultOptions USE_AFFECTED_ROWS

#### INCLUDE_STATUS

    public static final DefaultOptions INCLUDE_STATUS

#### INCLUDE_THREAD_DUMP

    public static final DefaultOptions INCLUDE_THREAD_DUMP

#### READ_AHEAD

    public static final DefaultOptions READ_AHEAD

#### KEY_STORE_TYPE

    public static final DefaultOptions KEY_STORE_TYPE

#### TRUST_STORE_TYPE

    public static final DefaultOptions TRUST_STORE_TYPE

#### SERVICE_PRINCIPAL_NAME

    public static final DefaultOptions SERVICE_PRINCIPAL_NAME

#### USE_MYSQL_AS_DATABASE

    public static final DefaultOptions USE_MYSQL_AS_DATABASE

### Method Detail

#### values

    public static DefaultOptions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DefaultOptions c : DefaultOptions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DefaultOptions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### defaultValues

    public static Options defaultValues(HaMode haMode)

#### defaultValues

    public static Options defaultValues(HaMode haMode,
                                        boolean pool)

Generate an Options object with default value corresponding to High Availability mode.

Parameters:
  `haMode` - current high Availability mode
  `pool` - is for pool
Returns:
  Options object initialized

#### parse

    public static void parse(HaMode haMode,
                             String urlParameters,
                             Options options)

Parse additional properties.

Parameters:
  `haMode` - current haMode.
  `urlParameters` - options defined in url
  `options` - initial options

#### parse

    public static Options parse(HaMode haMode,
                                String urlParameters,
                                Properties properties,
                                Options options)

Parse additional properties .

Parameters:
  `haMode` - current haMode.
  `urlParameters` - options defined in url
  `properties` - options defined by properties
  `options` - initial options
Returns:
  options

#### optionCoherenceValidation

    public static void optionCoherenceValidation(Options options)

Option initialisation end : set option value to a coherent state.

Parameters:
  `options` - options

#### propertyString

    public static void propertyString(Options options,
                                      HaMode haMode,
                                      StringBuilder sb)

Generate parameter String equivalent to options.

Parameters:
  `options` - options
  `haMode` - high availability Mode
  `sb` - String builder

#### getOptionName

    public String getOptionName()

#### getDescription

    public String getDescription()

#### isRequired

    public boolean isRequired()